aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gtksourceview/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-12-09 10:06:40 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-12-09 10:20:23 +0000
commitfdc084b37b735a0c99d5c746b325932bcda4c395 (patch)
treeaebb366fb057b5b6a4eaeceafe08e26384665539 /testing/gtksourceview/APKBUILD
parentd2bf6ba2274cacea93cd3942bec0952d235bab8f (diff)
downloadaports-fdc084b37b735a0c99d5c746b325932bcda4c395.tar.gz
aports-fdc084b37b735a0c99d5c746b325932bcda4c395.tar.bz2
aports-fdc084b37b735a0c99d5c746b325932bcda4c395.tar.xz
testing/gtksourceview: cleanup
remove the redundant main/gtksourceview. rename testing/gtksourceview3 to testing/gtksourceview and upgrade it to 3.18.1
Diffstat (limited to 'testing/gtksourceview/APKBUILD')
-rw-r--r--testing/gtksourceview/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/gtksourceview/APKBUILD b/testing/gtksourceview/APKBUILD
new file mode 100644
index 0000000000..2f6a1e8a3f
--- /dev/null
+++ b/testing/gtksourceview/APKBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gtksourceview
+pkgver=3.18.1
+pkgrel=0
+pkgdesc="A text widget adding syntax highlighting and more to GNOME"
+url="http://live.gnome.org/GtkSourceView"
+arch="all"
+license="GPL"
+replaces="gtksourceview"
+depends=
+depends_dev="gtk+3.0-dev libxml2-dev"
+makedepends="$depends_dev gobject-introspection-dev"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://ftp.gnome.org/pub/gnome/sources/gtksourceview/${pkgver%.*}/gtksourceview-$pkgver.tar.xz"
+
+_builddir="$srcdir/gtksourceview-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="b7600b6cc06ec96ce1d028bf7a44d14b gtksourceview-3.18.1.tar.xz"
+sha256sums="7be95faf068b9f0ac7540cc1e8d607baa98a482850ef11a6471b53c9327aede6 gtksourceview-3.18.1.tar.xz"
+sha512sums="dacee02c1d7232279b560bfa362c65837a981d50fdc28ae966835ead7b0d99310d503b816895c77c5b61967778299e4c9385697de5210259a97f664703bc905f gtksourceview-3.18.1.tar.xz"